An OP Stack fee meant to estimate the costs associated with posting data to the L1 that is attributed to the user’s transaction fee
cURL
curl --request GET \ --url https://api.blockworks.com/v1/metrics/transaction-l1-fee-total-native \ --header 'x-api-key: <api-key>'
{ "projectName": [ { "date": "2025-08-10", "value": 123456.789 }, { "date": "2025-08-11", "value": 234567.89 }, { "date": "2025-08-12", "value": 345678.901 } ] }
curl -H "x-api-key: YOUR_API_KEY" \ "https://api.blockworks.com/v1/metrics/transaction-l1-fee-total-native?project=katana"
{ "katana": [ { "date": "2026-04-19", "value": 0.0017677193884804237 }, { "date": "2026-04-18", "value": 0.0013912756675250337 }, { "date": "2026-04-17", "value": 0.0012899173022369763 }, { "date": "2026-04-16", "value": 0.00023071772597078297 }, { "date": "2026-04-15", "value": 0.000150125833169962 } ] }
Project slug (comma-separated for multiple).
katana
"katana"
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
OK